Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 83 lines (77 sloc) 2.458 kb
de8ba12 Ohad Levy Regenerate gemspec for version 0.1.0
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{virt}
8 s.version = "0.1.0"
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Ohad Levy"]
12 s.date = %q{2011-01-31}
13 s.description = %q{Simplied interface to use ruby the libvirt ruby library}
14 s.email = %q{ohadlevy@gmail.com}
15 s.extra_rdoc_files = [
16 "LICENSE.txt",
17 "README.rdoc"
18 ]
19 s.files = [
20 ".document",
21 "Gemfile",
22 "Gemfile.lock",
23 "LICENSE.txt",
24 "README.rdoc",
25 "Rakefile",
26 "VERSION",
27 "lib/virt.rb",
28 "lib/virt/connection.rb",
29 "lib/virt/guest.rb",
30 "lib/virt/host.rb",
31 "lib/virt/interface.rb",
32 "lib/virt/pool.rb",
33 "lib/virt/util.rb",
34 "lib/virt/volume.rb",
35 "templates/guest.xml.erb",
36 "templates/volume.xml.erb",
37 "test/connection_test.rb",
38 "test/guest_test.rb",
39 "test/host_test.rb",
40 "test/interface_test.rb",
41 "test/pool_test.rb",
42 "test/test_helper.rb",
43 "test/volume_test.rb"
44 ]
45 s.homepage = %q{https://github.com/ohadlevy/virt}
46 s.licenses = ["GPLv3"]
47 s.require_paths = ["lib"]
48 s.rubygems_version = %q{1.3.7}
49 s.summary = %q{Simple to use ruby interface to libvirt}
50 s.test_files = [
51 "test/connection_test.rb",
52 "test/guest_test.rb",
53 "test/host_test.rb",
54 "test/interface_test.rb",
55 "test/pool_test.rb",
56 "test/test_helper.rb",
57 "test/volume_test.rb"
58 ]
59
60 if s.respond_to? :specification_version then
61 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
62 s.specification_version = 3
63
64 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
65 s.add_development_dependency(%q<shoulda>, [">= 2.11.3"])
66 s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
67 s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
68 s.add_development_dependency(%q<rcov>, [">= 0.9.8"])
69 else
70 s.add_dependency(%q<shoulda>, [">= 2.11.3"])
71 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
72 s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
73 s.add_dependency(%q<rcov>, [">= 0.9.8"])
74 end
75 else
76 s.add_dependency(%q<shoulda>, [">= 2.11.3"])
77 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
78 s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
79 s.add_dependency(%q<rcov>, [">= 0.9.8"])
80 end
81 end
82
Something went wrong with that request. Please try again.